/*
 * Project SUBool
 * Petr Kucera, 2018
 */
/**@file test_rhbdmc.h
 * Contains tests for renamable Horn BDMC compiler.
 */

#ifndef __TEST_RHBDMC_H
#define __TEST_RHBDMC_H

#include "literal.h"
#include "normalform.h"

namespace SUBool
{
   class TestRHBDMC
   {
      bool TestCNF(CNF cnf) const;
      bool TestRandomCNFFormulas(unsigned n_rounds, unsigned n_vars,
                                 unsigned n_clauses) const;
      bool TestSimpleFormula() const;
      bool TestFailFormula() const;

    public:
      bool RunTests() const;
   };
} // namespace SUBool

#endif
