/*
 * Project SUBool
 * Petr Kucera, 2020
 */
/**@file test_unitprop2.h
 * Contains tests of UnitPropagatorM (reimplemented).
 */

#ifndef __TEST_UNITPROP2_H
#define __TEST_UNITPROP2_H

#include "normalform.h"

namespace SUBool
{
   class TestUnitPropM
   {
      bool TestDimacsHorn() const;
      bool TestUnitPropCNF() const;
      bool TestAmoProduct10() const;
      bool TestSingleRandomCNF(const CNF &cnf, const unsigned assump_rounds,
                               const unsigned assump_size) const;
      bool TestRandomCNF(const unsigned rounds, const unsigned n_clauses,
                         const unsigned n_vars, const unsigned assump_rounds,
                         const unsigned assump_size) const;

    public:
      bool RunTests() const;
   };
}; // namespace SUBool

#endif
