/*
 * Project SUBool
 * Petr Kucera, 2018
 */
/**@file nullstream.cpp
 * A stream which discards everything.
 */

#include "nullstream.h"

std::ostream &SUBool::nullstream()
{
   static bool do_init=true;
   static NullBuffer nb;
   static std::stringstream ns;
   if(do_init)
   {
      ns.std::iostream::rdbuf(&nb);
   }
   return ns;
}
