/*
 * Project SUBool
 * Petr Kucera, 2019
 */
/**@file test_common.h
 * Contains common functions used in other tests.
 */

#ifndef __TEST_COMMON_H
#define __TEST_COMMON_H

#include "encoding.h"

namespace SUBool
{
   bool test_encoding_consistency_full(const CNFEncoding &enc,
                                       const CNFEncoding &ref_enc);
   bool test_encoding_consistency_partial(const CNFEncoding &enc,
                                          const CNFEncoding &ref_enc);
   bool test_encoding_propagation(const CNFEncoding &enc,
                                  const CNFEncoding &ref_enc);
} // namespace SUBool
#endif
