/*
 * Project SUBool
 * Petr Kucera, 2018
 */
/**@file test_nnfnode.h
 * Contains tests for nnf and nnfnode classes.
 */

#ifndef __TEST_NNFNODE_H
#define __TEST_NNFNODE_H

#include "nnfnode.h"

namespace SUBool
{
   class TestNnfNode
   {
      bool TestNnfNodeLiteral() const;
      bool TestNnfNodeGates() const;
      bool TestNnfWrite() const;
      bool TestNnfRead() const;
      bool TestNnfDecision() const;
      bool TestNnfCopyConstructor() const;
      bool TestNnfCopyAssignment() const;

      NnfNode::tPointer ExampleNnf() const;

    public:
      bool RunTests() const;
   };
} // namespace SUBool

#endif
