/*
 * Project SUBool
 * Petr Kucera, 2018
 */
/**@file test_resolve.h
 * Contains tests for functions related to resolution.
 */

#ifndef __TEST_RESOLVE_H
#define __TEST_RESOLVE_H

#include <string>

#include "nfliteralset.h"

namespace SUBool
{
   class TestResolve
   {
      bool TestResolution(const Clause &left, const Clause &right,
                          const Clause &resolvent, unsigned res_var) const;
      // bool TestResolution(const std::string &left, const std::string &right,
      // const std::string &resolvent, unsigned res_var) const;

    public:
      TestResolve();
      bool RunTests() const;
   };
} // namespace SUBool

#endif
