/*
 * Project SUBool
 * Petr Kucera, 2016
 */
/**@file test_schoning.h
 * Contains tests for Schoning SAT algorithm.
 */

#ifndef __TEST_SCHONING_H
#define __TEST_SCHONING_H

namespace SUBool
{
   class TestSchoning
   {
      bool TestSimpleCNF() const;
      bool TestRandomCNF(unsigned k, unsigned n_variables, unsigned size) const;
      bool TestDimacsCNF(const char *dimacs, bool satisfiable) const;
      bool TestDimacsFile(const char *dimacs_file) const;

    public:
      TestSchoning();
      bool RunTests() const;
   };
}; // namespace SUBool

#endif
